/* eslint-env node */
/* eslint-disable @typescript-eslint/no-var-requires */
require('json5/lib/register');
const config = require('./config/config.json5');

const { GoogleSpreadsheet } = require('google-spreadsheet');

const main = async () => {
  const doc = new GoogleSpreadsheet(config.spreadsheetId);
  await doc.useServiceAccountAuth(config.googleAuth);
  await doc.loadInfo();
  console.log(
    Object.entries(doc.sheetsByTitle).map(([key, value]) => ({
      id: value.sheetId,
      name: key,
    }))
  );
};

main();
